import * as React from 'react';

import Button, { ButtonTypes } from '@romanjaros/treejs-components/Button';
import { Grid, GridCol } from '@romanjaros/treejs-components/Grid';
import { noop } from '@romanjaros/treejs-utils';


const ButtonPage = (): React.ReactElement => {
	return (
		<React.Fragment>
			<h2>Button</h2>

			<h3>Normal</h3>
			<Grid>
				<GridCol size={2}>
					<Button title="Odeslat" onClick={noop} />
				</GridCol>
			</Grid>

			<h3>Status</h3>
			<Grid>
				<GridCol size={2}>
					<Button title="Odeslat" onClick={noop} status={ButtonTypes.info} />
				</GridCol>
				<GridCol size={2}>
					<Button title="Uložit" onClick={noop} status={ButtonTypes.success} />
				</GridCol>
				<GridCol size={2}>
					<Button title="Potvrdit" onClick={noop} status={ButtonTypes.warning} />
				</GridCol>
				<GridCol size={3}>
					<Button title="Zkusit znovu" onClick={noop} status={ButtonTypes.error} />
				</GridCol>
			</Grid>

			<h3>Disable</h3>
			<Grid>
				<GridCol size={2}>
					<Button title="Odeslat" onClick={noop} disabled />
				</GridCol>
			</Grid>
		</React.Fragment>
	);
};

export default ButtonPage;
