import * as React from 'react';
import { FontAwesomeIcon } from '@fortawesome/react-fontawesome';

import { IOption } from "@romanjaros/treejs-components/RadioButton/types";

import { StyledCustomRadioButton } from "../style";


export const customRender = ({ code, name }: IOption, value: string): React.ReactElement => {

	return (
		<div>
			{
				code === 'natural'
					? (
						<StyledCustomRadioButton active={value === 'natural'}>
							<FontAwesomeIcon
								size="lg"
								icon={'user-tie'}
							/>
							<div>{name}</div>
						</StyledCustomRadioButton>
					)
					: (
						<StyledCustomRadioButton active={value === 'legal'}>
							<FontAwesomeIcon
								size="lg"
								icon={'building'}
							/>
							<div>{name}</div>
						</StyledCustomRadioButton>
					)
			}
		</div>
	);
};