import { IAction } from '@romanjaros/treejs-types/redux/actions';

import { IFetchConfig } from '../types';
import { FetchActions } from '../constants';


export const fetchData = (config: IFetchConfig): IAction<IFetchConfig> => ({
	type: FetchActions.FETCH,
	payload: config
});

const beforeRequest = (config: IFetchConfig): IAction<IFetchConfig> => ({
	type: FetchActions.REQUEST,
	payload: config
});

const onSuccess = (config: IFetchConfig): IAction<IFetchConfig> => ({
	type: FetchActions.SUCCESS,
	payload: config
});

const onError = (config: IFetchConfig): IAction<IFetchConfig> => ({
	type: FetchActions.ERROR,
	payload: config
});

export const fetchStatusActions = {
	beforeRequest,
	onSuccess,
	onError,
};
