import { IAction } from '@romanjaros/treejs-types/redux/actions';

import { FetchActions } from '../constants';
import { IFetchConfig, IFetchReducer } from '../types';


const initialState: IFetchReducer = {};

type payloadType = IFetchConfig;

const reducer = (state = initialState, { type, payload }: IAction<payloadType>): IFetchReducer => {
	switch (type) {
		case FetchActions.REQUEST:
			return {
				...state,
				[`${payload.url}.${payload.method}`]: {
					isFetching: true,
					isError: false,
				},
			};
		case FetchActions.SUCCESS:
			return {
				...state,
				[`${payload.url}.${payload.method}`]: {
					isFetching: false,
					isError: false,
				},
			};
		case FetchActions.ERROR:
			return {
				...state,
				[`${payload.url}.${payload.method}`]: {
					isFetching: false,
					isError: true,
				},
			};
		default:
			return state
	}
};

export default reducer;
