import { createSelector } from 'reselect';
import { pathOr, propOr } from 'ramda';

import { FETCH_REDUCER_NAME, MAIN_REDUCER_NAME } from '@romanjaros/treejs-constants/redux/reducers';
import { IFetchReducer } from '@romanjaros/treejs-api/types';


const emptyObject = {};

const root = pathOr(emptyObject, [MAIN_REDUCER_NAME, FETCH_REDUCER_NAME]);

export const getIsFetching = createSelector(
	[root, (state: any, fetchUrl: string) => fetchUrl],
	(state, url): boolean => {
		const fetchState: IFetchReducer = propOr({}, url, state);
		return propOr(false, 'isFetching', fetchState);
	}
);
