export enum FetchMethod {
	get = 'get',
	post = 'post',
	put = 'put',
	delete = 'delete',
}

export interface IFetchConfig {
	method: FetchMethod;
	onError?: (response: any) => void;
	onSuccess?: (response: any) => void;
	url: string;
}

export interface IFetchReducer {
	[key: string]: IFetchState;
}

export interface IFetchState {
	isError: boolean;
	isFetching: boolean;
}
