import * as React from 'react';

import { StyledButton } from './style';


export enum ButtonTypes {
	info,
	success,
	warning,
	error,
}

interface IProps {
	disabled?: boolean;
	onClick?: (...args: any[]) => void;
	status?: ButtonTypes;
	title: string;
	type?: "submit" | "reset";
}

class Button extends React.PureComponent<IProps> {
	private handleOnClick = () => {
		if (this.props.onClick instanceof Function) {
			this.props.onClick();
		}
	};

	public render(): React.ReactElement {
		const {
			title,
		} = this.props;

		return (
			<StyledButton
				onClick={this.handleOnClick}
				disabled={this.props.disabled}
				status={this.props.status}
				type={this.props.type}
			>
				{title}
			</StyledButton>
		);
	}
}

export default Button;
