import styled, { css } from '../styled';
import { ButtonTypes } from './';


interface IButtonStyle {
	status: ButtonTypes;
}


export const StyledButton = styled.button<IButtonStyle>`
	border: none;
	border-radius: 3px;
	
	width: 100%;
	
	padding: 10px 20px;
	
	color: ${(p) => p.theme.black};
	background-color: ${(p) => p.theme.disableColor};
	
	outline: none;
	
	${(p) => p.status === ButtonTypes.info && css`
		color: ${(p) => p.theme.white};
		background-color: ${p.theme.infoColor};
	`};
	
	${(p) => p.status === ButtonTypes.success && css`
		color: ${(p) => p.theme.white};
		background-color: ${p.theme.successColor};
	`};
	
	${(p) => p.status === ButtonTypes.warning && css`
		color: ${(p) => p.theme.white};
		background-color: ${p.theme.warningColor};
	`};
	
	${(p) => p.status === ButtonTypes.error && css`
		color: ${(p) => p.theme.white};
		background-color: ${p.theme.errorColor};
	`};

	text-transform: uppercase;
	
	font-size: 13px;
	font-family: Lato, sans-serif;
	
	cursor: pointer;
	
	&:disabled {
		cursor: not-allowed;
		
		box-shadow: 0 0;
		
		color: whitesmoke;
	}
`;
