import styled, { css } from '../styled';


export const StyledCalendar = styled.table`
	width: 100%;
`;

export const StyledCalendarHeader = styled.th`
	text-transform: uppercase;

	padding: 10px;
`;

export const StyledCalendarNavigation = styled.td`
	text-align: center;
	cursor: pointer;
`;

export const StyledCalendarNavigationMonth = styled.td`
	text-align: center;
	
	padding-bottom: 10px;
	
	& > div:nth-child(2) {
		font-size: 25px;
	}
`;


interface IStyledCalendarRow {
	hasValue: boolean;
	isSelected: boolean;
	isToday: boolean;
}

export const StyledCalendarRow = styled.td<IStyledCalendarRow>`
	text-align: center;

	padding: 10px;

	${(p) => p.hasValue && css`
		&:hover {
			color: ${(p) => p.theme.secondaryColor};
			background-color: ${(p) => p.theme.primaryColor};

			cursor: pointer;
		}
	`};

	${(p) => p.isToday && css`
		color: ${p.theme.focusColor};
		background-color: ${p.theme.focusBackgroundColor};
	`};

	${(p) => p.isSelected && css`
		color: ${(p) => p.theme.secondaryColor};
			background-color: ${(p) => p.theme.primaryColor};
	`};
`;
