import * as React from 'react';
import Button, { ButtonTypes } from '../../Button';
import { IModalId } from '../../Modal/types';
import Section from '../../Section';
import Calendar from '../../Calendar/components';


interface IProps {
	closeModal: (id: IModalId) => void;
	format?: string;
	name: IModalId;
	onChange: (value: string) => void;
	onRemove: () => void;
	value: string;
}

class Modal extends React.Component<IProps> {
	private setActiveOption = (value: string) => {
		this.props.onChange(value);
		this.props.closeModal(this.props.name);
	};

	private removeActiveOption = (): void => {
		this.props.onRemove();
		this.props.closeModal(this.props.name);
	};

	public render(): React.ReactElement {
		return (
			<div>
				<Calendar
					value={this.props.value}
					onChange={this.setActiveOption}
					format={this.props.format}
					name={this.props.name}
					title={null}
				/>
				<Section>
					<Button
						title="Odebrat hodnotu"
						status={ButtonTypes.error}
						onClick={this.removeActiveOption}
					/>
				</Section>
			</div>
		);
	}
}

export default Modal;
