import * as React from 'react';

import { StyledContentLoader } from '../style';


interface IProps {
	children: React.ReactElement | React.ReactElement[];
	isLoading: boolean;
}

export const ContentLoader = (props: IProps): React.ReactElement => {
	return (
		<StyledContentLoader isLoading={props.isLoading}>
			<div />
			<div />
			<div>{props.children}</div>
		</StyledContentLoader>
	);
};

export default ContentLoader;
