import styled, { css, keyframes } from '../styled';


const spinner = keyframes`
	to {
		transform: rotate(360deg);
	}
`;

interface IStyledButtonLoader {
	isLoading: boolean;
}

export const StyledContentLoader = styled.div.attrs({
	className: 'ContentLoader',
})<IStyledButtonLoader>`
	position: relative;

	${(p) => p.isLoading && css`
		& > div:nth-child(1):before {
			content: '';
			position: absolute;
			z-index: 2;
			left: 0;
			right: 0;
			margin-top: 5px;
			margin-left: auto;
			margin-right: auto;
			width: 20px;
			height: 20px;
			border-radius: 50%;
			border: 2px solid ${(p) => p.theme.secondaryColor};
			border-top-color: ${(p) => p.theme.primaryColor};
			animation: ${spinner} .8s linear infinite;
		}
		
		& > div:nth-child(2) {
			position: absolute;
			top: 0;
			bottom: 0;
			left: 0;
			right: 0;
			z-index: 1;
			opacity: 0.7;
			background-color: white;
		}
	`};
`;
