import { IAction } from '@romanjaros/treejs-types/redux/actions';

import { IModalId, IModalOption, IModalState } from '../types';

import { ModalActions } from '../constants';


export const addModal = (options: IModalOption): IAction<IModalState> => ({
	type: ModalActions.ADD_MODAL,
	payload: options
});

export const closeModal = (name: IModalId): IAction<IModalState> => ({
	type: ModalActions.REMOVE_MODAL,
	payload: {
		name,
	}
});
