import styled from '../../styled';


interface IStyledModal {
	width?: number;
}

export const StyledModalContainer = styled.div`
	position: fixed;
	z-index: 10;
	top: 0;
	right: 0;
	bottom: 0;
	left: 0;
	
	background-color: rgba(0, 0, 0, .7);
`;

export const StyledModal = styled.div.attrs({
	className: 'Modal',
})<IStyledModal>`
	position: relative;
	
	margin: 100px auto;
	
	background-color: ${(p) => p.theme.white};
	
	max-width: 80vw;
	width: ${(p) => p.width ? `${p.width}px` : 'auto'};
	
	@media only screen and (max-width: ${(p) => p.theme.tabletScreenSize}px) {	
		margin: 20px auto;
	
		min-width: calc(100% - 10px);
	}
`;

export const StyledCloseButton = styled.span`
	position: absolute;
	right: 0;
	top: 0;
	
	cursor: pointer;
	
	width: 55px;
	height: 3.4rem;
	
	text-align: center;
	
	font-size: 35px;
	line-height: 1.5;
	
	color: ${(p) => p.theme.white};
	background-color: ${(p) => p.theme.black};
`;

export const StyledModalHeader = styled.div`
	color: ${(p) => p.theme.white};
	background-color: ${(p) => p.theme.primaryColor};
	
	padding: 14px;
    
	font-size: 22px;
`;
export const StyledModalBody = styled.div`
	background-color: ${(p) => p.theme.white};
	
	padding: 20px;
	
	min-height: 20px;
`;
