import * as styledComponents from 'styled-components';
import { library } from '@fortawesome/fontawesome-svg-core'
import {
	faCaretSquareDown,
	faCaretSquareUp,
	faCheckSquare,
	faCircle,
	faDotCircle,
	faSquare,
	faTimes,
	faBars,
	faWifi,
	faBone,
	faTree,
	faCalendarAlt,
	faAngleLeft,
	faAngleDoubleLeft,
	faAngleRight,
	faAngleDoubleRight,
} from '@fortawesome/free-solid-svg-icons'


library.add(
	faCheckSquare,
	faSquare,
	faCircle,
	faDotCircle,
	faCaretSquareDown,
	faCaretSquareUp,
	faTimes,
	faBars,
	faWifi,
	faBone,
	faTree,
	faCalendarAlt,
	faAngleLeft,
	faAngleDoubleLeft,
	faAngleRight,
	faAngleDoubleRight,
);

export interface ThemeInterface {
	black: string;
	disableColor: string;
	errorColor: string;
	errorDarkColor: string;
	focusBackgroundColor: string;
	focusColor: string;
	gray: string;
	infoColor: string;
	infoDarkColor: string;
	largeScreenSize: number;
	mediumScreenSize: number;
	primaryColor: string;
	secondaryColor: string;
	successColor: string;
	successDarkColor: string;
	tabletScreenSize: number;
	warningColor: string;
	warningDarkColor: string;
	white: string;
}

const {
	default: styled,
	css,
	createGlobalStyle,
	keyframes,
	ThemeProvider
} = styledComponents as styledComponents.ThemedStyledComponentsModule<ThemeInterface>;

export { css, createGlobalStyle, keyframes, ThemeProvider };
export default styled;
